﻿using JoeScan.JCamNet;
using System;

namespace Examples
{
    class Program
    {
        static void Main(string[] args)
        {
            ScannerConfig.FindAllScanners(MyDelegate);    
        }

        public static void MyDelegate(DiscoveryResponse response)
        {
            // filter here by your criteria, for instance the subnet: 
            if (response.BaseIPAddress.GetAddressBytes().GetValue(2).ToString() == "1")
            {
                System.Console.WriteLine("Base IP Address: {0}, CableId: {1}, Serial Number: {2}",
                    response.BaseIPAddress, response.CableId, response.SerialNumber);
            }
        }
    }
}
