﻿using System;
using System.Net;
using JoeScan.JCamNet;

namespace Examples
{
    class Program
    {
        static void Main(string[] args)
        {
            IPAddress ip = new IPAddress(new byte[] {192,168,1,150});
            Scanner s = null;
            try
            {
                 s = Scanner.Connect(ip);
            }
            catch (Exception e)
            {
                Console.WriteLine("Failed to connect to scanner: {0}, Reason: {1}",
                    ip.ToString(),
                    e.Message);
                return;
            }
            Console.WriteLine("Connected to Scanner! Serial #: {0}", s.SerialNumber);
        }
    }
}


